<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 4:18 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idEmpresaSeguridad']) && isset($_REQUEST['nombre']) && isset($_REQUEST['direccion']) && isset($_REQUEST['telefono1']) && isset($_REQUEST['telefono2'])) {
            $empresaseguridad = R::load('empresaseguridad', $_REQUEST['idEmpresaSeguridad']);
            $empresaseguridad->nombre = $_REQUEST['nombre'];
            $empresaseguridad->direccion = $_REQUEST['direccion'];
            $empresaseguridad->telefono1 = $_REQUEST['telefono1'];
            $empresaseguridad->telefono2 = $_REQUEST['telefono2'];
            $empresaseguridad->fechaModificacion = date('Y-m-d H:i:s');
            $id = R::store($empresaseguridad);
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}